eCos Reference Manual
Prev |  | Next

# channel

## Name

channel -- Select the system console channel

## Synopsis

channel [-1 | `channel_number`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-1 |  | Reset the console channel | none
channel_number | Number | Select a channel | none

## Description

With no arguments, the channel command displays the current console channel number.

When passed an argument of 0 upward, this command switches the console channel to that channel number. The mapping between channel numbers and physical channels is platform specific but will typically be something like channel 0 is the first serial port, channel 1 is the second, etc.

When passed an argument of -1, this command reverts RedBoot to responding to whatever channel receives input first, as happens when RedBoot initially starts execution.

## Examples

Show the current channel.

    RedBoot> channel
    Current console channel id: 0

Change to an invalid channel.

    RedBoot> channel 99
    **Error: bad channel number '99'

Revert to the default channel setting (any console mode).

    RedBoot> channel -1

Prev | Home | Next
cache | Up | cksum